FreeMat

- Main Page
- Related Pages

vtkFixedPointVolumeRayCastHelper

Section: Visualization Toolkit Volume Rendering Classes

# Usage

This is the abstract superclass of all helper classes for the vtkFixedPointVolumeRayCastMapper. This class should not be used directly.

To create an instance of class vtkFixedPointVolumeRayCastHelper, simply invoke its constructor as follows

      obj = vtkFixedPointVolumeRayCastHelper

# Methods

The class vtkFixedPointVolumeRayCastHelper has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkFixedPointVolumeRayCastHelper class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkFixedPointVolumeRayCastHelper = obj.NewInstance ()`
- `vtkFixedPointVolumeRayCastHelper = obj.SafeDownCast (vtkObject o)`
- `obj.GenerateImage (int , int , vtkVolume , vtkFixedPointVolumeRayCastMapper )`